// Copyright 2018 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

'use strict';

chrome.runtime.onInstalled.addListener(function() {
  chrome.storage.sync.set({
      language: {
          type_from: 'cyrillic',
          type_to: 'latin',
          iso639_3: 'tat'
      }
  }, function() {
    console.log('The iso639_3 is tat.');
  });
  chrome.declarativeContent.onPageChanged.removeRules(undefined, function() {
    chrome.declarativeContent.onPageChanged.addRules([{
      conditions: [new chrome.declarativeContent.PageStateMatcher({
        //pageUrl: {hostEquals: 'developer.chrome.com'},
      })],
      actions: [new chrome.declarativeContent.ShowPageAction()]
    }]);
  });
});


//chrome.browserAction.onClicked.addListener(function(tab) {
//    chrome.tabs.executeScript(null,
//                       {file:"https://speak.tatar/static/language/js/transliterate.js"});
//});

//chrome.tabs.onUpdated.addListener(function(tabId, changeInfo, tab){
//    if(changeInfo && changeInfo.status == "complete"){
//        chrome.tabs.executeScript(tabId, {file: "thirdParty/jquery-3.3.1.min.js"}, function(){
//            chrome.tabs.executeScript(tabId, {file: "getPagesSource.js"});
//        });
//    }
//});
