// Copyright 2018 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

'use strict';

let changeColor = document.getElementById('changeColor');

chrome.storage.sync.get('color', function(data) {
  //changeColor.style.backgroundColor = data.color;
  //changeColor.setAttribute('value', data.color);
  //alert ('popup.js chrome.storage.sync.get');
});

changeColor.onclick = function(element) {
  let color = element.target.value;
  chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
    chrome.tabs.executeScript(
        tabs[0].id,
        {code: 'document.body.style.backgroundColor = "' + color + '";'});
    console.log ('query');
  });
  console.log ('popup.js changeColor.onclick');
  console.log ('popup.js changeColor.onclick');
onWindowLoad();
  
};







//chrome.runtime.onMessage.addListener(function(request, sender) {
//  if (request.action == "getSource") {
//    message.innerText = request.source;
//  }
//});

function onWindowLoad() {

  //var message = document.querySelector('#message');

  chrome.tabs.executeScript(null, {
    file: "getPagesSource.js"
  }, function() {
    // If you try and inject into an extensions page or the webstore/NTP you'll get an error
    //if (chrome.runtime.lastError) {
    //  message.innerText = 'There was an error injecting script : \n' + chrome.runtime.lastError.message;
    //}
  });

}

//window.onload = onWindowLoad;

/*
*/
